package com.usky.rule.vo.log;

import com.usky.rule.vo.Condition;
import java.util.List;

public class DeviceTriggerLog {
    private String id;
    private String name;
    private String method;
    private List<Condition> conditions;
    private String time;

    public DeviceTriggerLog() {
    }

    public String getId() {
        return this.id;
    }

    public String getName() {
        return this.name;
    }

    public String getMethod() {
        return this.method;
    }

    public List<Condition> getConditions() {
        return this.conditions;
    }

    public String getTime() {
        return this.time;
    }

    public void setId(final String id) {
        this.id = id;
    }

    public void setName(final String name) {
        this.name = name;
    }

    public void setMethod(final String method) {
        this.method = method;
    }

    public void setConditions(final List<Condition> conditions) {
        this.conditions = conditions;
    }

    public void setTime(final String time) {
        this.time = time;
    }

    public boolean equals(final Object o) {
        if (o == this) {
            return true;
        } else if (!(o instanceof DeviceTriggerLog)) {
            return false;
        } else {
            DeviceTriggerLog other = (DeviceTriggerLog)o;
            if (!other.canEqual(this)) {
                return false;
            } else {
                Object this$id = this.getId();
                Object other$id = other.getId();
                if (this$id == null) {
                    if (other$id != null) {
                        return false;
                    }
                } else if (!this$id.equals(other$id)) {
                    return false;
                }

                Object this$name = this.getName();
                Object other$name = other.getName();
                if (this$name == null) {
                    if (other$name != null) {
                        return false;
                    }
                } else if (!this$name.equals(other$name)) {
                    return false;
                }

                Object this$method = this.getMethod();
                Object other$method = other.getMethod();
                if (this$method == null) {
                    if (other$method != null) {
                        return false;
                    }
                } else if (!this$method.equals(other$method)) {
                    return false;
                }

                Object this$conditions = this.getConditions();
                Object other$conditions = other.getConditions();
                if (this$conditions == null) {
                    if (other$conditions != null) {
                        return false;
                    }
                } else if (!this$conditions.equals(other$conditions)) {
                    return false;
                }

                Object this$time = this.getTime();
                Object other$time = other.getTime();
                if (this$time == null) {
                    if (other$time != null) {
                        return false;
                    }
                } else if (!this$time.equals(other$time)) {
                    return false;
                }

                return true;
            }
        }
    }

    protected boolean canEqual(final Object other) {
        return other instanceof DeviceTriggerLog;
    }

    public int hashCode() {
        int PRIME = 59;
        int result = 1;
        Object $id = this.getId();
        result = result * 59 + ($id == null ? 43 : $id.hashCode());
        Object $name = this.getName();
        result = result * 59 + ($name == null ? 43 : $name.hashCode());
        Object $method = this.getMethod();
        result = result * 59 + ($method == null ? 43 : $method.hashCode());
        Object $conditions = this.getConditions();
        result = result * 59 + ($conditions == null ? 43 : $conditions.hashCode());
        Object $time = this.getTime();
        result = result * 59 + ($time == null ? 43 : $time.hashCode());
        return result;
    }

    public String toString() {
        return "DeviceTriggerLog(id=" + this.getId() + ", name=" + this.getName() + ", method=" + this.getMethod() + ", conditions=" + this.getConditions() + ", time=" + this.getTime() + ")";
    }
}
